commit:     7b28157e313ac988d039712ad59c20bbff341b3d
Author:     Vladislav Mikhailikov <vmikhailikov <AT> gmail <DOT> com>
AuthorDate: Wed Jun  4 18:35:35 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun  5 21:16:03 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b28157e

sci-geosciences/GeographicLib: add 2.5

Signed-off-by: Vladislav Mikhailikov <vmikhailikov <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/42446
Closes: https://github.com/gentoo/gentoo/pull/42446
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../GeographicLib/GeographicLib-2.5.ebuild         | 54 ++++++++++++++++++++++
 sci-geosciences/GeographicLib/Manifest             |  1 +
 2 files changed, 55 insertions(+)

diff --git a/sci-geosciences/GeographicLib/GeographicLib-2.5.ebuild 
b/sci-geosciences/GeographicLib/GeographicLib-2.5.ebuild
new file mode 100644
index 000000000000..461892cd49ce
--- /dev/null
+++ b/sci-geosciences/GeographicLib/GeographicLib-2.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+MY_PN="${PN,,}"
+
+DESCRIPTION="C++ library for converting geographic coordinate systems"
+HOMEPAGE="https://sourceforge.net/projects/geographiclib/ 
https://github.com/geographiclib/geographiclib";
+SRC_URI="https://downloads.sourceforge.net/${MY_PN}/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0/26"
+KEYWORDS="~amd64 ~arm"
+IUSE="doc"
+
+BDEPEND="
+       doc? (
+               >=app-text/doxygen-1.8.7
+               >=dev-lang/perl-5.26.1-r1
+               >=dev-python/sphinx-1.6.3-r2
+               >=sys-apps/util-linux-2.31
+       )
+"
+
+src_configure() {
+       export GEODATAPATH="/usr/share/${MY_PN}"
+
+       local mycmakeargs=(
+               -DBUILD_DOCUMENTATION=$(usex doc)
+               -DDOCDIR="${EPREFIX}/usr/share/doc/${PF}"
+               -DEXAMPLEDIR="${EPREFIX}/usr/share/doc/${PF}/examples"
+               -DBUILD_SHARED_LIBS=ON
+               -DGEOGRAPHICLIB_DATA="${GEODATAPATH}"
+       )
+       cmake_src_configure
+}
+
+# Build test programs before running tests with ninja testprograms
+src_test() {
+       cmake_build testprograms
+       cmake_build test
+}
+
+src_install() {
+       cmake_src_install
+
+       insinto "/usr/share/maxima/${MY_PN}"
+       doins -r maxima/.
+
+       find "${D}" -name "*.la" -delete || die
+}

diff --git a/sci-geosciences/GeographicLib/Manifest 
b/sci-geosciences/GeographicLib/Manifest
index 17c6fe473295..a1cc9fe1ef15 100644
--- a/sci-geosciences/GeographicLib/Manifest
+++ b/sci-geosciences/GeographicLib/Manifest
@@ -1 +1,2 @@
 DIST GeographicLib-2.3.tar.gz 1701815 BLAKE2B 
5695c5edd5b674f26f2fa21a835b155bca4c33177177750670fdf19f95ccb6d37eb13493b754820ccb22c5a05c8dc554da134eef37947a1d261d4ec6f6ebbcbe
 SHA512 
1a1bd0fc2dc3e1372cf22618af3a4340bbc6497f94c64226c97654dfff92a4bf3acf47d91592741fe0c643d401d9721f680bdb4974b8ee258fb09d525fbaec67
+DIST GeographicLib-2.5.tar.gz 1714242 BLAKE2B 
ba6ea89d1a033e277860f7fc5f1d4888ff966cf00df6e190e8b2229fe8827db3b98c7da10a40e76852fcf8530ddafd4c4450acebf43625c57076f3ff2285d727
 SHA512 
c165115228b775a4a95b318c1bac1d2871e45ea21f20043c9c9f1c165efb6848c027b883f7b19dcce8c86e71ded56eb5fdcde39f1ff94d61fdc98c9206abd1ae

Reply via email to